注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

Tales~曾经的我们~

想起你的好

 
 
 

日志

 
 
关于我

专业化学。爱好文学。同时还喜欢美术、摄影、哲学、经济学、新闻传播学和计算机。目前乐器小提琴,最想学的乐器是钢琴。对ACG有爱。

网易考拉推荐

在Ubuntu 11.10中使用深度软件中心  

2012-03-01 12:49:29|  分类: Computer |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
说实话,深度自己定制的那个Linux Deepin还是很不错的,不过Ubuntu用惯了也就懒得再换了。深度系统里面有一个深度软件中心,类似于Windows下的360软件中心,对于Linux小白来说是个很好的东西,可以让装软件变得简单一些,并且比Ubuntu自带的软件中心符合国情。对于老鸟来说,装某些国产软件的时候也可以省不少事儿。下面是安装过程:

参考文章:
http://planet.linuxdeepin.com/2011/12/30/ubuntu-install-deepin-software-center/
http://planet.linuxdeepin.com/2012/01/31/sovled-deepin-software-center-loading-when-start/#more-513

1.安装aria2

sudo apt-get install aria2



2.下载软件中心源码包

git clone git://github.com/manateelazycat/deepin-software-center.git


执行这一步之后,会有一个deepin-software-center文件夹下载到你命令行终端所在的目录。所以推荐进入“下载”或者“文档”目录之后再打开终端执行这个命令,便于管理。

3.启动深度软件中心

cd deepin-software-center/src/ && ./main


即进入deepin-software-center文件夹里面的src目录,执行main文件。运行之后需要输入一次系统密码。
之后就可以进入深度软件中心了,如下图所示。

在Ubuntu 11.10中使用深度软件中心 - Tales - Tales~曾经的我们~
 
不过现在有一个问题,那就是没有深度软件源里面的软件。而这些软件是我们安装深度软件中心的主要目的之一,没有当然不行啦。
接下来我们就添加深度自己的软件源

sudo vi /etc/apt/sources.list.d/linux-deepin.list



在打开的文件里面添加如下四行:

deb http://packages.linuxdeepin.com/deepin oneiric main non-free
deb http://packages.linuxdeepin.com/deepin oneiric-updates main non-free
deb-src http://packages.linuxdeepin.com/deepin oneiric main non-free
deb-src http://packages.linuxdeepin.com/deepin oneiric-updates main non-free



这是深度的官方源地址。你可以根据自己的网速换成别的网址,比如教育网的朋友可以换成中科大的那个。另外,根本版本不同,需要替换不同的版本号。上面这个例子是针对11.10的,从更新源里面的目录来看,应该还支持11.04和10.10,替换版本号即可。
当然,上面这四行也可以和官方源写到一个文件里。这么做是为了保持官方源的整洁,便于管理。

添加完之后更新一下:

sudo apt-get update



终端会提示什么密钥未验证,不用管它,再次启动深度软件中心。
在Ubuntu 11.10中使用深度软件中心 - Tales - Tales~曾经的我们~

可以看到,已经有集成到桌面的pywebqq了。再搜搜别的呢?比如迅雷?
在Ubuntu 11.10中使用深度软件中心 - Tales - Tales~曾经的我们~
 

安装个pywebqq试试,一键安装,装完即可使用,非常方便。
在Ubuntu 11.10中使用深度软件中心 - Tales - Tales~曾经的我们~
 
 还有深度独家授权的(软件介绍里面自己说的)永中Office2011,看起来比之前的版本似乎顺眼一些。
在Ubuntu 11.10中使用深度软件中心 - Tales - Tales~曾经的我们~
 
总之,深度软件中心尽管目前还有很多不完善的地方,比如似乎无法搜索软件介绍啊(搜索office没有永中,搜索eio才有),模糊搜索有待改进啊,软件推荐的排序还不是做得很好啊,但还是一个非常好的管理软件,而且适合国情(实际上ubuntu自己的软件中心也不见得好到哪儿去),推荐大家使用。
-------------------------------------------------
Update:
在做第二步之前,如果没有安装git,请先安装。
sudo apt-get install git
运行main如果出现以下错误:

Gtk-WARNING **: 无法在模块路径中找到主题引擎:“pixmap”

请运行以下命令安装必要的软件包:

sudo apt-get install gtk2-engines-pixbuf

之后再运行main即可。

  评论这张
 
阅读(4224)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017